%% MAIN SCRIPT FOR MIDI SYNTHESIS
% Please load your midi files into ./midi subdirectory. The subdirectory
% ./private contains code for reading and processing of the midi files. The
% reading is already fully implemented. 

% Your job is to design a synthesis of individual notes. Each and every
% note is being synthesized in the function synth.m available in the root
% directory. Please create your solution within the scope of this function.
% Help and instructions can be foun the header of the ./private/midi2synth.
% More information about numbering of instrument is in
% MIDI_instrument_table.pdf. 

% After you finish the implementation, please execute this sctript. Result 
% of your synthesis can be found in the ./result subdirectory. If you would
% prefer any other language than MATLAB, you can use the *.csv table of
% notes of the midi file generated during the synthesis. The asterisk * 
% represents name of the original midi file without suffix. Each line of 
% the table represent a line of the midi file processed by this toolbox.
%
% This toolbox builds upon the original work by Ken Schutte 
% (kenschutte@gmail.com) publicly available at http://kenschutte.com/midi.
% This toolbox inherits the GPL license.

%% Polyphonic synthesis and synthesis of a solo instrument (CTRL + ENTER)
% The midi file will be read and automatically synthesized:
synthchallenge('Barcarolle.mid');
% synthchallenge('Typewriter.mid');

% Number of the instrument can be set. The whole track is then translated 
% only using your defined instrument (note: good for debugging):
% synthchallenge('Waterloo.mid',2);

% Instrument's number as well as channel's number can be overriden by:
% synthchallenge('Popelka.mid',2,10);

% Number of the instrument, channel, and note (following the midi format) 
% can be overriden by:
% synthchallenge('Popelka.mid', 2, 10, 1);

